J'essaie de faire sortir mon code en appuyant sur le bouton Entrée et je rencontre un ValueError: invalid literal pour int () avec base 10: ``, mais cela me dit que mon erreur est sur la ligne .......
17 mars 2021 à 01:39
J'essaie d'analyser ma sortie curl avec JQ et de vérifier le code de sortie, donc lorsque ma sortie curl est vide, JQ renvoie 0 code de sortie. Par exemple: $ echo "" | jq '.key' $ echo $? 0 Comment faire cela .......
4 mars 2021 à 08:12
J'utilise repl.it pour coder un écran de connexion / enregistrement. Le code en Python est ci-dessous: while True: print(""" ============MAIN MENU================ *Welcome* 1. Register 2. Login 3. Quit """) x=i....
26 févr. 2021 à 20:31
J'exécute un fichier c # .exe comme celui-ci: runas /user:company\username "D:\company\Batch\dir\program.bat Donc ça marche start /d "D:\company\Batch\dir" program.exe > program.txt J'essaye d'obtenir des informations d'erreur pour apparaître dans program.txt. J'ai regardé les codes de sortie pour....
25 févr. 2021 à 18:33
Lecture du manuel de la commande test shell: man test Description états: Sortie avec l'état déterminé par EXPRESSION. Mais cela entre en conflit avec mes exemples de script de test POSIX sh, où j'utilise set -.......
16 janv. 2021 à 14:29
Je veux vérifier le code de sortie d'un processus de premier plan en utilisant le code C fonctionnant sous Linux. Si je comprends bien, wait () et waitpid () sont utiles pour les processus enfants, mais dans mon cas, il s'agit d'un processus étranger. Je le suis .......
12 janv. 2021 à 15:52
Je crée actuellement une action GitHub qui formate le code python tout en créant des annotations. Pour ce faire, je dirige le stderr du formateur python noir dans le std_in de l'erreur reviewdog .......
29 déc. 2020 à 02:23
J'ai essayé de trouver une solution dans tout l'internat, mais les forums n'arrêtent pas de dire que c'est impossible, alors voici ma question. Comment un shell (tout shell comme bash) garde-t-il la trace de exit codes. Est-ce en suivant leur processus enfant? (si oui, comment pourrais-je procéder p....
19 nov. 2020 à 09:50
J'essaye d'imprimer une chaîne en fonction du code de sortie d'un opérateur intégré et ternaire test. J'ai réussi à: b=5 echo $(( b==5 ? good : bad )) # good is printed Good est imprimé comme prévu, mais si je le fais: echo $(( test $b -eq 50 ? 123 : 321 )) test 5 -eq 50 ? 123 : 321 : syntax erro....
11 nov. 2020 à 14:10
Dans ce code: echo hello > hello.txt read X <<< $(grep hello hello.txt) echo $? $? fait référence au code de sortie de l'instruction de lecture qui est 0. Y a-t-il un moyen de savoir si grep a échoué (par exemple, si hello.txt a été supprimé par un autre processus) sans fractionnement le read et le....
15 oct. 2020 à 09:58
Si je fais un test simple des codes de sortie directement avec des commandes uniques: [user@localhost ~]$ date Tue Sep 8 14:00:11 CEST 2020 [user@localhost ~]$ echo $? 0 [user@localhost ~]$ dat bash: dat: command not found... [user@localhost ~]$ echo $? 127 Mais si je veux les insérer dans une phr....
8 sept. 2020 à 15:08
J'ai un script qui échoue assez souvent. Il est essentiel que le code de sortie correct soit transmis. Ce code fonctionne comme prévu: #!/usr/bin/env bash function my_function { echo "Important output" exit 1 } function cleanup { MY_EXIT_CODE=$? echo "MY_EXIT_CODE: ${MY_EXIT_CODE}" } ....
8 sept. 2020 à 13:59
Dans GPG, il n'y a pas de documentation appropriée sur la façon de vérifier une phrase de passe valide via le code bash, c'est donc un hack. Basé sur l'exemple de code suivant, il est utilisé pour vérifier si le mot de passe GPG mis en cache dans gpg-agent est valide ou non: #!/bin/bash KEY_ID=YOUR_....
24 août 2020 à 22:01
Disons que j'ai 3 fonctions comme ci-dessous: #!/bin/bash f_1() { if [ -d "/home/xxx/yyy" ]; then return 0 else return 1 fi } f_2() { if [ -d "/home/xxx/yyy" ]; then return 0 else return 1 fi } f_3() { if [ -d "/home/xxx/yyy" ]; then return 0 els....
15 avril 2020 à 11:34
J'ai créé un programme C simple avec main vide comme indiqué ci-dessous et l'ai compilé avec gcc void main(){ } Lors de l'exécution, il renvoie le code de sortie comme 25, et si j'ajoute une instruction printf, après avoir inclus stdio.h, elle renvoie le code de sortie 5 Quelle est la significatio....
4 avril 2020 à 17:20
Contexte J'essaye d'obtenir le code de sortie d'une commande lancée via x-terminal-emulator -e. En utilisant cette commande, il ouvre simplement une nouvelle fenêtre de terminal et la transmet sh -c avec la commande que vous voulez exécuter dans la nouvelle fenêtre de terminal. J'utilise ensuite u....
25 janv. 2019 à 16:43
J'ai deux scripts, le script principal et le sous-script et j'ai appelé l'indice à l'aide du script source.Si le package spécifié n'est pas installé, il doit renvoyer le code de sortie 1. Si j'exécute le script principal en utilisant bash main.sh, je ne parviens pas à obtenir le subScriptExitCode à ....
31 juil. 2018 à 16:15
J'ai des problèmes en essayant de quitter une fonction que j'ai créée. Cela ne semble tout simplement pas rompre la boucle. Le jeu s'ouvre et je peux jouer, mais je ne peux pas quitter, il reste là sans rien faire et l'icône sur la barre des tâches devient jaune. Voici mon code: import pygame, os, s....
25 juin 2018 à 04:26
Je voudrais que mon code C ++ cesse de fonctionner avec un nettoyage d'objet approprié si une certaine condition est remplie; dans un constructeur d'une classe. class A { public: int somevar; void fun() { // something } }; class B { public: B() { int possibility; ....
1 oct. 2017 à 20:40
Je souhaite ajouter une fonctionnalité dans l'application. Je veux fermer l'application pendant que je clique sur le bouton de sortie, mais mon bouton est sur Dialog, donc lorsque j'essaye d'utiliser finish (), cela ne fait pas la même chose. Je veux juste fermer l'application, veuillez aider. // co....
4 sept. 2017 à 09:11
Je veux savoir si des commandes dans un script bash se sont terminées avec un statut différent de zéro. Je veux quelque chose de similaire à la fonctionnalité set -e, sauf que je ne veux pas qu'elle se termine lorsqu'une commande se termine avec un statut différent de zéro. Je veux qu'il exécute tou....
14 févr. 2017 à 07:42
J'exécute la commande telnet sur un hôte pour un port donné (qui est ouvert), elle renvoie 0 (succès). Pour essayer telnet manuellement, je tape la commande suivante, puis j'appuie sur contrôle + crochet, c'est-à-dire ^], puis sur la touche Enter, puis j'arrive à l'invite telnet>, où si je tape {{ X....
5 janv. 2017 à 04:45
Mon objectif est de créer un petit programme qui convertit l'angle du rayonnement au degré et vice-versa. J'ai besoin que le programme se ferme sans message d'erreur de python si l'utilisateur entre les informations à convertir dans le mauvais format. Après avoir affecté la variable «angle» aux deux....
17 juin 2016 à 19:20
En supposant que votre script ne se ferme pas en raison d'une défaillance quelconque (exception, erreur de syntaxe) et que le script ne se ferme pas en raison de sys.exit() ou os._exit(), comment Python détermine-t-il le code de sortie à quitter avec? Il semble être 0, ce qui est logique car il indi....
21 mars 2016 à 19:24
Existe-t-il un moyen pour Python d'imprimer une instruction lorsqu'un script se termine avec succès? Un exemple de code serait quelque chose comme: if 'code variable' == 0: print "Script ran successfully" else: print "There was an error" Comment puis-je transmettre la valeur du code de so....
1 mars 2016 à 00:44